Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkLegendBoxActor Class Reference

`#include <vtkLegendBoxActor.h>`

Inheritance diagram for vtkLegendBoxActor:

[legend]
Collaboration diagram for vtkLegendBoxActor:

[legend]
List of all members.

## Detailed Description

draw symbols with text

Date:
  2002/11/11 21:41:29

Revision:
  1.14

vtkLegendBoxActor is used to associate a symbol with a text string. The user specifies a vtkPolyData to use as the symbol, and a string associated with the symbol. The actor can then be placed in the scene in the same way that any other vtkActor2D can be used.

To use this class, you must define the position of the legend box by using the superclasses' vtkActor2D::Position coordinate and Position2 coordinate. Then define the set of symbols and text strings that make up the menu box. The font attributes of the entries can be set through the vtkTextProperty associated to this actor. The class will scale the symbols and text to fit in the legend box defined by (Position,Position2). Optional features like turning on a border line and setting the spacing between the border and the symbols/text can also be set.

See also:
  vtkXYPlotActor vtkActor2D vtkGlyphSource2D

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (68%)
  - Barre, Sebastien (22%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkLegendBoxActor.cxx)`
  - .`h` (`/Hybrid/vtkLegendBoxActor.h)`

Definition at line 68 of file vtkLegendBoxActor.h.

## Public Types
typedef vtkActor2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkProperty2D * | GetBoxProperty ()
void | ShallowCopy (vtkProp *prop)
virtual void | ReleaseGraphicsResources (vtkWindow *)
void | SetNumberOfEntries (int num)
int | GetNumberOfEntries ()
void | SetEntry (int i, vtkPolyData *symbol, const char *string, float color[3])
void | SetEntrySymbol (int i, vtkPolyData *symbol)
void | SetEntryString (int i, const char *string)
void | SetEntryColor (int i, float color[3])
void | SetEntryColor (int i, float r, float g, float b)
vtkPolyData * | GetEntrySymbol (int i)
const char * | GetEntryString (int i)
float * | GetEntryColor (int i)
virtual void | SetEntryTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetEntryTextProperty ()
virtual void | SetFontFamily (int val)
virtual int | GetFontFamily ()
void | SetFontFamilyToArial ()
void | SetFontFamilyToCourier ()
void | SetFontFamilyToTimes ()
virtual void | SetBold (int val)
virtual int | GetBold ()
virtual void | BoldOn ()
virtual void | BoldOff ()
virtual void | SetItalic (int val)
virtual int | GetItalic ()
virtual void | ItalicOn ()
virtual void | ItalicOff ()
virtual void | SetShadow (int val)
virtual int | GetShadow ()
virtual void | ShadowOn ()
virtual void | ShadowOff ()
virtual void | SetBorder (int)
virtual int | GetBorder ()
virtual void | BorderOn ()
virtual void | BorderOff ()
virtual void | SetLockBorder (int)
virtual int | GetLockBorder ()
virtual void | LockBorderOn ()
virtual void | LockBorderOff ()
virtual void | SetBox (int)
virtual int | GetBox ()
virtual void | BoxOn ()
virtual void | BoxOff ()
virtual void | SetPadding (int)
virtual int | GetPadding ()
virtual void | SetScalarVisibility (int)
virtual int | GetScalarVisibility ()
virtual void | ScalarVisibilityOn ()
virtual void | ScalarVisibilityOff ()
int | RenderOpaqueGeometry (vtkViewport *viewport)
int | RenderTranslucentGeometry (vtkViewport *)
int | RenderOverlay (vtkViewport *viewport)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkLegendBoxActor * | SafeDownCast (vtkObject *o)
vtkLegendBoxActor * | New ()
## Protected Methods
| vtkLegendBoxActor ()
| ~vtkLegendBoxActor ()
void | InitializeEntries ()
## Protected Attributes
int | Border
int | Box
int | Padding
int | LockBorder
int | ScalarVisibility
float | BoxOpacity
int | NumberOfEntries
int | Size
vtkFloatArray * | Colors
vtkTextMapper ** | TextMapper
vtkActor2D ** | TextActor
vtkPolyData ** | Symbol
vtkTransform ** | Transform
vtkTransformPolyDataFilter ** | SymbolTransform
vtkPolyDataMapper2D ** | SymbolMapper
vtkActor2D ** | SymbolActor
vtkPolyData * | BorderPolyData
vtkPolyDataMapper2D * | BorderMapper
vtkActor2D * | BorderActor
vtkPolyData * | BoxPolyData
vtkPolyDataMapper2D * | BoxMapper
vtkActor2D * | BoxActor
vtkTextProperty * | EntryTextProperty
int | LegendEntriesVisible
int | CachedSize [2]
vtkTimeStamp | BuildTime

## Member Typedef Documentation

typedef vtkActor2D vtkLegendBoxActor::Superclass

| Reimplemented from vtkActor2D. Definition at line 71 of file vtkLegendBoxActor.h.

## Constructor & Destructor Documentation

vtkLegendBoxActor::vtkLegendBoxActor | ( |  | ) | `[protected]`

vtkLegendBoxActor::~vtkLegendBoxActor | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkLegendBoxActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkActor2D.

int vtkLegendBoxActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

virtual int vtkLegendBoxActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

vtkLegendBoxActor* vtkLegendBoxActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkActor2D.

void vtkLegendBoxActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkActor2D.

vtkLegendBoxActor* vtkLegendBoxActor::New | ( |  | ) | `[static]`

| Instantiate object with a rectangle in normaled view coordinates of (0.2,0.85, 0.8, 0.95). Reimplemented from vtkActor2D.

void vtkLegendBoxActor::SetNumberOfEntries | ( | int | num | ) |

| Specify the number of entries in the legend box.

int vtkLegendBoxActor::GetNumberOfEntries | ( |  | ) | `[inline]`

| Specify the number of entries in the legend box. Definition at line 81 of file vtkLegendBoxActor.h.

void vtkLegendBoxActor::SetEntry | ( | int | i,
|  | vtkPolyData * | symbol,
|  | const char * | string,
|  | float | color[3]
| ) |

| Add an entry to the legend box. You must supply a vtkPolyData to be used as a symbol (it can be NULL) and a text string (which also can be NULL). The vtkPolyData is assumed to be defined in the x-y plane, and the text is assumed to be a single line in height. Note that when this method is invoked previous entries are deleted. Also supply a text string and optionally a color. (If a color is not specified, then the entry color is the same as this actor's color.) (Note: use the set methods when you use SetNumberOfEntries().)

void vtkLegendBoxActor::SetEntrySymbol | ( | int | i,
|  | vtkPolyData * | symbol
| ) |

| Add an entry to the legend box. You must supply a vtkPolyData to be used as a symbol (it can be NULL) and a text string (which also can be NULL). The vtkPolyData is assumed to be defined in the x-y plane, and the text is assumed to be a single line in height. Note that when this method is invoked previous entries are deleted. Also supply a text string and optionally a color. (If a color is not specified, then the entry color is the same as this actor's color.) (Note: use the set methods when you use SetNumberOfEntries().)

void vtkLegendBoxActor::SetEntryString | ( | int | i,
|  | const char * | string
| ) |

| Add an entry to the legend box. You must supply a vtkPolyData to be used as a symbol (it can be NULL) and a text string (which also can be NULL). The vtkPolyData is assumed to be defined in the x-y plane, and the text is assumed to be a single line in height. Note that when this method is invoked previous entries are deleted. Also supply a text string and optionally a color. (If a color is not specified, then the entry color is the same as this actor's color.) (Note: use the set methods when you use SetNumberOfEntries().)

void vtkLegendBoxActor::SetEntryColor | ( | int | i,
|  | float | color[3]
| ) |

| Add an entry to the legend box. You must supply a vtkPolyData to be used as a symbol (it can be NULL) and a text string (which also can be NULL). The vtkPolyData is assumed to be defined in the x-y plane, and the text is assumed to be a single line in height. Note that when this method is invoked previous entries are deleted. Also supply a text string and optionally a color. (If a color is not specified, then the entry color is the same as this actor's color.) (Note: use the set methods when you use SetNumberOfEntries().)

void vtkLegendBoxActor::SetEntryColor | ( | int | i,
|  | float | r,
|  | float | g,
|  | float | b
| ) |

| Add an entry to the legend box. You must supply a vtkPolyData to be used as a symbol (it can be NULL) and a text string (which also can be NULL). The vtkPolyData is assumed to be defined in the x-y plane, and the text is assumed to be a single line in height. Note that when this method is invoked previous entries are deleted. Also supply a text string and optionally a color. (If a color is not specified, then the entry color is the same as this actor's color.) (Note: use the set methods when you use SetNumberOfEntries().)

vtkPolyData* vtkLegendBoxActor::GetEntrySymbol | ( | int | i | ) |

| Add an entry to the legend box. You must supply a vtkPolyData to be used as a symbol (it can be NULL) and a text string (which also can be NULL). The vtkPolyData is assumed to be defined in the x-y plane, and the text is assumed to be a single line in height. Note that when this method is invoked previous entries are deleted. Also supply a text string and optionally a color. (If a color is not specified, then the entry color is the same as this actor's color.) (Note: use the set methods when you use SetNumberOfEntries().)

const char* vtkLegendBoxActor::GetEntryString | ( | int | i | ) |

| Add an entry to the legend box. You must supply a vtkPolyData to be used as a symbol (it can be NULL) and a text string (which also can be NULL). The vtkPolyData is assumed to be defined in the x-y plane, and the text is assumed to be a single line in height. Note that when this method is invoked previous entries are deleted. Also supply a text string and optionally a color. (If a color is not specified, then the entry color is the same as this actor's color.) (Note: use the set methods when you use SetNumberOfEntries().)

float* vtkLegendBoxActor::GetEntryColor | ( | int | i | ) |

| Add an entry to the legend box. You must supply a vtkPolyData to be used as a symbol (it can be NULL) and a text string (which also can be NULL). The vtkPolyData is assumed to be defined in the x-y plane, and the text is assumed to be a single line in height. Note that when this method is invoked previous entries are deleted. Also supply a text string and optionally a color. (If a color is not specified, then the entry color is the same as this actor's color.) (Note: use the set methods when you use SetNumberOfEntries().)

virtual void vtkLegendBoxActor::SetEntryTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the text property.

virtual vtkTextProperty* vtkLegendBoxActor::GetEntryTextProperty | ( |  | ) | `[virtual]`

| Set/Get the text property.

virtual void vtkLegendBoxActor::SetFontFamily | ( | int | val | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual int vtkLegendBoxActor::GetFontFamily | ( |  | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

void vtkLegendBoxActor::SetFontFamilyToArial | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods. Definition at line 118 of file vtkLegendBoxActor.h. References VTK_ARIAL.

void vtkLegendBoxActor::SetFontFamilyToCourier | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods. Definition at line 119 of file vtkLegendBoxActor.h. References VTK_COURIER.

void vtkLegendBoxActor::SetFontFamilyToTimes | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods. Definition at line 120 of file vtkLegendBoxActor.h. References VTK_TIMES.

virtual void vtkLegendBoxActor::SetBold | ( | int | val | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual int vtkLegendBoxActor::GetBold | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual void vtkLegendBoxActor::BoldOn | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual void vtkLegendBoxActor::BoldOff | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual void vtkLegendBoxActor::SetItalic | ( | int | val | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual int vtkLegendBoxActor::GetItalic | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual void vtkLegendBoxActor::ItalicOn | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual void vtkLegendBoxActor::ItalicOff | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual void vtkLegendBoxActor::SetShadow | ( | int | val | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual int vtkLegendBoxActor::GetShadow | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual void vtkLegendBoxActor::ShadowOn | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual void vtkLegendBoxActor::ShadowOff | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)EntryTextProperty() methods.

virtual void vtkLegendBoxActor::SetBorder | ( | int |  | ) | `[virtual]`

| Set/Get the flag that controls whether a border will be drawn around the legend box.

virtual int vtkLegendBoxActor::GetBorder | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether a border will be drawn around the legend box.

virtual void vtkLegendBoxActor::BorderOn | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether a border will be drawn around the legend box.

virtual void vtkLegendBoxActor::BorderOff | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether a border will be drawn around the legend box.

virtual void vtkLegendBoxActor::SetLockBorder | ( | int |  | ) | `[virtual]`

| Set/Get the flag that controls whether the border and legend placement is locked into the rectangle defined by (Position,Position2). If off, then the legend box will adjust its size so that the border fits nicely around the text and symbols. (The ivar is off by default.) Note: the legend box is guaranteed to lie within the original border definition.

virtual int vtkLegendBoxActor::GetLockBorder | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether the border and legend placement is locked into the rectangle defined by (Position,Position2). If off, then the legend box will adjust its size so that the border fits nicely around the text and symbols. (The ivar is off by default.) Note: the legend box is guaranteed to lie within the original border definition.

virtual void vtkLegendBoxActor::LockBorderOn | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether the border and legend placement is locked into the rectangle defined by (Position,Position2). If off, then the legend box will adjust its size so that the border fits nicely around the text and symbols. (The ivar is off by default.) Note: the legend box is guaranteed to lie within the original border definition.

virtual void vtkLegendBoxActor::LockBorderOff | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether the border and legend placement is locked into the rectangle defined by (Position,Position2). If off, then the legend box will adjust its size so that the border fits nicely around the text and symbols. (The ivar is off by default.) Note: the legend box is guaranteed to lie within the original border definition.

virtual void vtkLegendBoxActor::SetBox | ( | int |  | ) | `[virtual]`

| Set/Get the flag that controls whether a box will be drawn/filled corresponding to the legend box.

virtual int vtkLegendBoxActor::GetBox | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether a box will be drawn/filled corresponding to the legend box.

virtual void vtkLegendBoxActor::BoxOn | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether a box will be drawn/filled corresponding to the legend box.

virtual void vtkLegendBoxActor::BoxOff | ( |  | ) | `[virtual]`

| Set/Get the flag that controls whether a box will be drawn/filled corresponding to the legend box.

vtkProperty2D* vtkLegendBoxActor::GetBoxProperty | ( |  | ) | `[inline]`

| Get the box vtkProperty2D. Definition at line 186 of file vtkLegendBoxActor.h.

virtual void vtkLegendBoxActor::SetPadding | ( | int |  | ) | `[virtual]`

| Set/Get the padding between the legend entries and the border. The value is specified in pixels.

virtual int vtkLegendBoxActor::GetPadding | ( |  | ) | `[virtual]`

| Set/Get the padding between the legend entries and the border. The value is specified in pixels.

virtual void vtkLegendBoxActor::SetScalarVisibility | ( | int |  | ) | `[virtual]`

| Turn on/off flag to control whether the symbol's scalar data is used to color the symbol. If off, the color of the vtkLegendBoxActor is used.

virtual int vtkLegendBoxActor::GetScalarVisibility | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether the symbol's scalar data is used to color the symbol. If off, the color of the vtkLegendBoxActor is used.

virtual void vtkLegendBoxActor::ScalarVisibilityOn | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether the symbol's scalar data is used to color the symbol. If off, the color of the vtkLegendBoxActor is used.

virtual void vtkLegendBoxActor::ScalarVisibilityOff | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether the symbol's scalar data is used to color the symbol. If off, the color of the vtkLegendBoxActor is used.

void vtkLegendBoxActor::ShallowCopy | ( | vtkProp * | prop | ) | `[virtual]`

| Shallow copy of this scaled text actor. Overloads the virtual vtkProp method. Reimplemented from vtkActor2D.

virtual void vtkLegendBoxActor::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkActor2D.

int vtkLegendBoxActor::RenderOpaqueGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. Draw the legend box to the screen. Reimplemented from vtkActor2D.

int vtkLegendBoxActor::RenderTranslucentGeometry | ( | vtkViewport * |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. Draw the legend box to the screen. Reimplemented from vtkActor2D. Definition at line 220 of file vtkLegendBoxActor.h.

int vtkLegendBoxActor::RenderOverlay | ( | vtkViewport * | viewport | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. Draw the legend box to the screen. Reimplemented from vtkActor2D.

void vtkLegendBoxActor::InitializeEntries | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkLegendBoxActor::Border`[protected]`

| Definition at line 232 of file vtkLegendBoxActor.h.

int vtkLegendBoxActor::Box`[protected]`

| Definition at line 233 of file vtkLegendBoxActor.h.

int vtkLegendBoxActor::Padding`[protected]`

| Definition at line 234 of file vtkLegendBoxActor.h.

int vtkLegendBoxActor::LockBorder`[protected]`

| Definition at line 235 of file vtkLegendBoxActor.h.

int vtkLegendBoxActor::ScalarVisibility`[protected]`

| Definition at line 236 of file vtkLegendBoxActor.h.

float vtkLegendBoxActor::BoxOpacity`[protected]`

| Definition at line 237 of file vtkLegendBoxActor.h.

int vtkLegendBoxActor::NumberOfEntries`[protected]`

| Definition at line 240 of file vtkLegendBoxActor.h.

int vtkLegendBoxActor::Size`[protected]`

| Definition at line 241 of file vtkLegendBoxActor.h.

vtkFloatArray* vtkLegendBoxActor::Colors`[protected]`

| Definition at line 242 of file vtkLegendBoxActor.h.

vtkTextMapper** vtkLegendBoxActor::TextMapper`[protected]`

| Definition at line 243 of file vtkLegendBoxActor.h.

vtkActor2D** vtkLegendBoxActor::TextActor`[protected]`

| Definition at line 244 of file vtkLegendBoxActor.h.

vtkPolyData** vtkLegendBoxActor::Symbol`[protected]`

| Definition at line 245 of file vtkLegendBoxActor.h.

vtkTransform** vtkLegendBoxActor::Transform`[protected]`

| Definition at line 246 of file vtkLegendBoxActor.h.

vtkTransformPolyDataFilter** vtkLegendBoxActor::SymbolTransform`[protected]`

| Definition at line 247 of file vtkLegendBoxActor.h.

vtkPolyDataMapper2D** vtkLegendBoxActor::SymbolMapper`[protected]`

| Definition at line 248 of file vtkLegendBoxActor.h.

vtkActor2D** vtkLegendBoxActor::SymbolActor`[protected]`

| Definition at line 249 of file vtkLegendBoxActor.h.

vtkPolyData* vtkLegendBoxActor::BorderPolyData`[protected]`

| Definition at line 250 of file vtkLegendBoxActor.h.

vtkPolyDataMapper2D* vtkLegendBoxActor::BorderMapper`[protected]`

| Definition at line 251 of file vtkLegendBoxActor.h.

vtkActor2D* vtkLegendBoxActor::BorderActor`[protected]`

| Definition at line 252 of file vtkLegendBoxActor.h.

vtkPolyData* vtkLegendBoxActor::BoxPolyData`[protected]`

| Definition at line 253 of file vtkLegendBoxActor.h.

vtkPolyDataMapper2D* vtkLegendBoxActor::BoxMapper`[protected]`

| Definition at line 254 of file vtkLegendBoxActor.h.

vtkActor2D* vtkLegendBoxActor::BoxActor`[protected]`

| Definition at line 255 of file vtkLegendBoxActor.h.

vtkTextProperty* vtkLegendBoxActor::EntryTextProperty`[protected]`

| Definition at line 256 of file vtkLegendBoxActor.h.

int vtkLegendBoxActor::LegendEntriesVisible`[protected]`

| Definition at line 259 of file vtkLegendBoxActor.h.

int vtkLegendBoxActor::CachedSize[2]`[protected]`

| Definition at line 260 of file vtkLegendBoxActor.h.

vtkTimeStamp vtkLegendBoxActor::BuildTime`[protected]`

| Definition at line 261 of file vtkLegendBoxActor.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkLegendBoxActor.h